
From: Andrew Morton <akpm@osdl.org>

Declarations go in header files.

Cc: Neil Horman <nhorman@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/proc/proc_misc.c |   12 +-----------
 include/linux/fs.h  |   11 +++++++++++
 block/genhd.c       |    0 
 char_dev.c          |    0 
 4 files changed, 12 insertions(+), 11 deletions(-)

diff -puN drivers/block/genhd.c~convert-proc-devices-to-use-seq_file-interface-tidy drivers/block/genhd.c
diff -puN fs/char_dev.c~convert-proc-devices-to-use-seq_file-interface-tidy fs/char_dev.c
diff -puN fs/proc/proc_misc.c~convert-proc-devices-to-use-seq_file-interface-tidy fs/proc/proc_misc.c
--- devel/fs/proc/proc_misc.c~convert-proc-devices-to-use-seq_file-interface-tidy	2005-09-14 22:06:35.000000000 -0700
+++ devel-akpm/fs/proc/proc_misc.c	2005-09-14 22:06:35.000000000 -0700
@@ -20,6 +20,7 @@
 #include <linux/time.h>
 #include <linux/kernel.h>
 #include <linux/kernel_stat.h>
+#include <linux/fs.h>
 #include <linux/tty.h>
 #include <linux/string.h>
 #include <linux/mman.h>
@@ -62,17 +63,6 @@
  */
 extern int get_hardware_list(char *);
 extern int get_stram_list(char *);
-extern int get_chrdev_list(char *);
-extern void *acquire_chrdev_list(void);
-extern int count_chrdev_list(void);
-extern void *get_next_chrdev(void *);
-extern void *acquire_blkdev_list(void);
-extern int count_blkdev_list(void);
-extern void *get_next_blkdev(void *);
-extern int get_chrdev_info(void *, int *, char **);
-extern int get_blkdev_info(void *, int *, char **);
-extern void release_chrdev_list(void *);
-extern void release_blkdev_list(void *);
 extern int get_filesystem_list(char *);
 extern int get_exec_domain_list(char *);
 extern int get_dma_list(char *);
diff -puN include/linux/fs.h~convert-proc-devices-to-use-seq_file-interface-tidy include/linux/fs.h
--- devel/include/linux/fs.h~convert-proc-devices-to-use-seq_file-interface-tidy	2005-09-14 22:06:35.000000000 -0700
+++ devel-akpm/include/linux/fs.h	2005-09-14 22:06:35.000000000 -0700
@@ -1329,6 +1329,12 @@ extern int register_chrdev(unsigned int,
 extern int unregister_chrdev(unsigned int, const char *);
 extern void unregister_chrdev_region(dev_t, unsigned);
 extern int chrdev_open(struct inode *, struct file *);
+extern int get_chrdev_list(char *);
+extern void *acquire_chrdev_list(void);
+extern int count_chrdev_list(void);
+extern void *get_next_chrdev(void *);
+extern int get_chrdev_info(void *, int *, char **);
+extern void release_chrdev_list(void *);
 
 /* fs/block_dev.c */
 #define BDEVNAME_SIZE	32	/* Largest string for a blockdev identifier */
@@ -1337,6 +1343,11 @@ extern const char *bdevname(struct block
 extern struct block_device *lookup_bdev(const char *);
 extern struct block_device *open_bdev_excl(const char *, int, void *);
 extern void close_bdev_excl(struct block_device *);
+extern void *acquire_blkdev_list(void);
+extern int count_blkdev_list(void);
+extern void *get_next_blkdev(void *);
+extern int get_blkdev_info(void *, int *, char **);
+extern void release_blkdev_list(void *);
 
 extern void init_special_inode(struct inode *, umode_t, dev_t);
 
_
